FreeCAD

Hilfe bei Updates und Installtion von neuen Paketen bzw. Programmen.
Antworten

Themen Author
Miners
Neues Foren Mitglied
Neues Foren Mitglied
Beiträge: 4
Registriert: Dienstag 12. Februar 2019, 12:54
CPU: AMD A8
GPU: AMD A8
Kernel: 4.19.20
DE: Deutschland
GPU Treiber: 6600K

FreeCAD

#1

#1 Beitrag von Miners » Dienstag 12. Februar 2019, 20:33

Hallo Freunde,
Freecad lässt sich nicht installieren.
Fehler sind:

"Überprüfe Signaturen der Quell-Dateien mit gpg...
phonon-4.10.1.tar.xz ... FEHLGESCHLAGEN (Unbekannter öffentlicher Schlüssel B92A5F04EC949121)
==> FEHLER: Eine oder mehrere PGP-Signaturen konnten nicht überprüft werden!
:: Unable to build phonon-qt4 - makepkg exited with code: 1"

"Fehler: Ziel nicht gefunden: qt5-xmlpatterns>=5.12.1
==> FEHLER: 'pacman' konnte fehlende Abhängigkeiten nicht installieren."

Wonach muss ich suchen?

Grüße Miners


Pr0TuRk38
Neues Foren Mitglied
Neues Foren Mitglied
Beiträge: 5
Registriert: Sonntag 10. Februar 2019, 13:32
CPU: Intel i7-8750H (12) @ 4.100GHz
GPU: NVIDIA GeForce GTX 1050 Ti Mobile
Kernel: 4.19.20-1-MANJARO
DE: KDE
GPU Treiber: video-hybrid-intel-nvidia-bumblebee 2018.08.09
Danksagung erhalten: 2 Mal

Re: FreeCAD

#2

#2 Beitrag von Pr0TuRk38 » Dienstag 12. Februar 2019, 21:13

Hey Miners,

Hier scheint die Lösung zu sein:
https://forum.manjaro.org/t/solved-upda ... -qt4/56174

Viel Erfolg


Josef_K
Forum Kenner
Forum Kenner
Beiträge: 143
Registriert: Mittwoch 18. Mai 2016, 16:08
CPU: i5-4460
GPU: GeForce GT 730
Kernel: 4.20
DE: XFCE
GPU Treiber: nvidia v: 410.78
Danksagung erhalten: 2 Mal

Re: FreeCAD

#3

#3 Beitrag von Josef_K » Dienstag 12. Februar 2019, 22:52

Hallo Miners,

du musst nur mit

Code: Alles auswählen

sudo pacman -Sy archlinux-keyring manjaro-keyring
sudo pacman-key --init
sudo pacman-key --populate archlinux manjaro 
sudo pacman-key --refresh-keys
die PGP-Signatur aktualisieren.

Grüße
Josef


Themen Author
Miners
Neues Foren Mitglied
Neues Foren Mitglied
Beiträge: 4
Registriert: Dienstag 12. Februar 2019, 12:54
CPU: AMD A8
GPU: AMD A8
Kernel: 4.19.20
DE: Deutschland
GPU Treiber: 6600K

Re: FreeCAD

#4

#4 Beitrag von Miners » Mittwoch 13. Februar 2019, 17:44

Hallo @ Pr0TuRk
danke aber hat damit nichts zu tun.

Hallo @Josef_K
die Schlüsseldatenbank hatte ich schon erneuert.
Die Schritte die du mir empfohlen hast habe ich nachvollzogen aber mit den gleichen Ergebnis:

Fehler: Ziel nicht gefunden: qt5-xmlpatterns>=5.12.1
==> FEHLER: 'pacman' konnte fehlende Abhängigkeiten nicht installieren.
:: Unable to build python2-shiboken2 - makepkg exited with code: 8

Trotzdem danke für eure Hilfe


Josef_K
Forum Kenner
Forum Kenner
Beiträge: 143
Registriert: Mittwoch 18. Mai 2016, 16:08
CPU: i5-4460
GPU: GeForce GT 730
Kernel: 4.20
DE: XFCE
GPU Treiber: nvidia v: 410.78
Danksagung erhalten: 2 Mal

Re: FreeCAD

#5

#5 Beitrag von Josef_K » Mittwoch 13. Februar 2019, 17:55

Hallo Miners,

das Paket qt5-xmlpatterns ist in den Repos, du darfs nur keine Versionsnummer angeben:

Code: Alles auswählen

[josef@PC ~]$ pacman -Ss qt5-xmlpatterns
extra/qt5-xmlpatterns 5.12.0-1 (qt qt5)
    Support for XPath, XQuery, XSLT and XML schema validation
Es kann eventuell sein, dass du die Mirrorliste aktualisieren musst:

Code: Alles auswählen

sudo pacman-mirrors -c Germany
oder

Code: Alles auswählen

sudo pacman-mirrors -f 5
wobei die Zahl die Anzahl der der Mirrors angibt, danach

Code: Alles auswählen

sudo pacman -Sy qt5-xmlpatterns
Grüße
Josef

Benutzeravatar

djeli
Forum Gott
Forum Gott
Beiträge: 383
Registriert: Samstag 21. Mai 2016, 12:12
GPU:
Kernel:
DE:
GPU Treiber:
Hat sich bedankt: 6 Mal
Danksagung erhalten: 16 Mal

Re: FreeCAD

#6

#6 Beitrag von djeli » Mittwoch 13. Februar 2019, 18:04

Josef war schneller

Code: Alles auswählen

$ sudo pacman -S qt5-xmlpatterns
[sudo] Passwort für h: 
Warnung: qt5-xmlpatterns-5.12.0-1 ist aktuell -- Reinstalliere
Löse Abhängigkeiten auf...
Suche nach in Konflikt stehenden Paketen...

Pakete (1) qt5-xmlpatterns-5.12.0-1

Gesamtgröße der installierten Pakete:  6,23 MiB
Größendifferenz der Aktualisierung:  0,00 MiB

:: Installation fortsetzen? [J/n]
oder

Code: Alles auswählen

$ trizen -s qt5-xmlpatterns
1 extra/qt5-xmlpatterns 5.12.0-1 [qt qt5] [Installiert]
    Support for XPath, XQuery, XSLT and XML schema validation
2 aur/mingw-w64-qt5-xmlpatterns 5.12.1-1 [2+] [0.00%] [6 Feb 2019]
    Support for XPath, XQuery, XSLT and XML schema validation (mingw-w64)
3 aur/qt5-xmlpatterns-git 5.12.1.r17.g683728c-1 [5+] [0.00%] [5 Feb 2019]
    Qt5 XML patterns module

=>> Select packages to install
> 


Themen Author
Miners
Neues Foren Mitglied
Neues Foren Mitglied
Beiträge: 4
Registriert: Dienstag 12. Februar 2019, 12:54
CPU: AMD A8
GPU: AMD A8
Kernel: 4.19.20
DE: Deutschland
GPU Treiber: 6600K

Re: FreeCAD

#7

#7 Beitrag von Miners » Samstag 16. Februar 2019, 16:44

Hallo,
zunächst mal Danke für eure Hilfe aber das Problem hat sich nicht bereinigen lassen.
Das Manjaro Linux habe ich neu installiert um aktuelle Schlüssel zu haben leider mit dem gleichen Ergebnis

Fehler: Ziel nicht gefunden: qt5-xmlpatterns>=5.12.1
==> FEHLER: 'pacman' konnte fehlende Abhängigkeiten nicht installieren.
:: Unable to build python2-shiboken2 - makepkg exited with code: 8

Das gleiche mit
aur/mingw-w64-qt5-xmlpatterns 5.12.1-1 und
aur/qt5-xmlpatterns-git 5.12.1.r1

War installiert, wurde aber nicht gefunden.

Habe mir dann auf einer zweiten HD Linux Mint install. und dort war FreeCAD wunderbar zu installieren, funktioniert mit versch. Drucker einwaqndfrei.

Grüße und schönes WE

Miners


Josef_K
Forum Kenner
Forum Kenner
Beiträge: 143
Registriert: Mittwoch 18. Mai 2016, 16:08
CPU: i5-4460
GPU: GeForce GT 730
Kernel: 4.20
DE: XFCE
GPU Treiber: nvidia v: 410.78
Danksagung erhalten: 2 Mal

Re: FreeCAD

#8

#8 Beitrag von Josef_K » Samstag 16. Februar 2019, 18:53

Hallo Miners,

hast du etwa bei der Suche bzw. Installation die Versionsnummer mit angegeben?

Code: Alles auswählen

[josef@PC ~]$ pamac search -a qt5-xmlpatterns-git
qt5-xmlpatterns-git                                  5.12.1.r17.g683728c-1  AUR 
  Qt5 XML patterns module
Egal, ob du aus den Repos oder AUR installierst, du brachst nur den Paketnamen ohne Versionsnummer angeben.

Grüße
Josef

Benutzeravatar

djeli
Forum Gott
Forum Gott
Beiträge: 383
Registriert: Samstag 21. Mai 2016, 12:12
GPU:
Kernel:
DE:
GPU Treiber:
Hat sich bedankt: 6 Mal
Danksagung erhalten: 16 Mal

Re: FreeCAD

#9

#9 Beitrag von djeli » Samstag 16. Februar 2019, 21:04

Ich verweise mal aufs andere Forum:
https://de.manjaro.org/index.php?topic=8608.0
zwar vom letzten Jahr.
scheint wohl immer noch nicht behoben zu sein.


Themen Author
Miners
Neues Foren Mitglied
Neues Foren Mitglied
Beiträge: 4
Registriert: Dienstag 12. Februar 2019, 12:54
CPU: AMD A8
GPU: AMD A8
Kernel: 4.19.20
DE: Deutschland
GPU Treiber: 6600K

Re: FreeCAD

#10

#10 Beitrag von Miners » Sonntag 17. Februar 2019, 12:48

Hallo d@djeli

natürlich nicht, war auch schon in deinem letzten Tipp als Vorschlag.

Selbst den PGP hab ich mir von der Herstellerseite koppiert um die Abhänigkeiten per Hand aufzulösen,es will einfach nicht.

Schönes WE

Antworten